#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>

namespace QmlCacheGeneratedCode {
namespace _content_NotificationsPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_LiveCoding_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_DialogsPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_ProgressBarPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_IconPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_RingIndicatorPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_SelectRollerPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_DatePickerPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_ButtonRowPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_TextInputPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_SpinnerPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_CheckboxPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_TimePickerPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_SliderPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__glacier_0x2d_components_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_TabBarPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_StatusNotifyPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_ButtonPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_BrokenPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_LabelPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _content_ListViewPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
        resourcePathToCachedUnit.insert(QStringLiteral("/content/NotificationsPage.qml"), &QmlCacheGeneratedCode::_content_NotificationsPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/LiveCoding.qml"), &QmlCacheGeneratedCode::_content_LiveCoding_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/DialogsPage.qml"), &QmlCacheGeneratedCode::_content_DialogsPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/ProgressBarPage.qml"), &QmlCacheGeneratedCode::_content_ProgressBarPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/IconPage.qml"), &QmlCacheGeneratedCode::_content_IconPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/RingIndicatorPage.qml"), &QmlCacheGeneratedCode::_content_RingIndicatorPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/SelectRollerPage.qml"), &QmlCacheGeneratedCode::_content_SelectRollerPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/DatePickerPage.qml"), &QmlCacheGeneratedCode::_content_DatePickerPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/ButtonRowPage.qml"), &QmlCacheGeneratedCode::_content_ButtonRowPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/TextInputPage.qml"), &QmlCacheGeneratedCode::_content_TextInputPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/SpinnerPage.qml"), &QmlCacheGeneratedCode::_content_SpinnerPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/CheckboxPage.qml"), &QmlCacheGeneratedCode::_content_CheckboxPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/TimePickerPage.qml"), &QmlCacheGeneratedCode::_content_TimePickerPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/SliderPage.qml"), &QmlCacheGeneratedCode::_content_SliderPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/glacier-components.qml"), &QmlCacheGeneratedCode::_0x5f__glacier_0x2d_components_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/TabBarPage.qml"), &QmlCacheGeneratedCode::_content_TabBarPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/StatusNotifyPage.qml"), &QmlCacheGeneratedCode::_content_StatusNotifyPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/ButtonPage.qml"), &QmlCacheGeneratedCode::_content_ButtonPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/BrokenPage.qml"), &QmlCacheGeneratedCode::_content_BrokenPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/LabelPage.qml"), &QmlCacheGeneratedCode::_content_LabelPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/content/ListViewPage.qml"), &QmlCacheGeneratedCode::_content_ListViewPage_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.version = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_glacier_components)() {
    ::unitRegistry();
    Q_INIT_RESOURCE(glacier_components_qmlcache);
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_glacier_components))
int QT_MANGLE_NAMESPACE(qCleanupResources_glacier_components)() {
    Q_CLEANUP_RESOURCE(glacier_components_qmlcache);
    return 1;
}
